Package org.apache.sling.testing.clients.query.servlet

# Class QueryServlet

java.lang.Object
javax.servlet.GenericServlet
org.apache.sling.api.servlets.SlingSafeMethodsServlet
org.apache.sling.testing.clients.query.servlet.QueryServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class QueryServlet extends org.apache.sling.api.servlets.SlingSafeMethodsServlet

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SERVLET_NAME`
`static final String`
`SERVLET_PATH`

## Constructor Summary

Constructors
Constructor
Description
`QueryServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doGet(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`

### Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet

`doGeneric, doHead, doOptions, doTrace, getAllowedRequestMethods, getServletInfo, handleMethodNotImplemented, mayService, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERVLET_PATH

public static final String SERVLET_PATH

See Also:
  - Constant Field Values

### SERVLET_NAME

public static final String SERVLET_NAME

See Also:
  - Constant Field Values

## Constructor Details

### QueryServlet

public QueryServlet()

## Method Details

### doGet

protected void doGet(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doGet` in class `org.apache.sling.api.servlets.SlingSafeMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`